{#<pagetitle>NHS.UK | What vaccines have you received</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from 'components/hint/macro.njk' import hint %}
{% from 'components/radios/macro.njk' import radios %}

{{
    heading({
        subHeading:{
            text: 'add-vaccine-died.section.heading'
        },
        text: 'add-vaccine-died.h1',
        classes: 'nhsuk-fieldset__heading',
        locale: locale
    })
}}

<form action="add-vaccine-died" class="form" method="post">
    <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}">

        {{ p({
              "text": 'add-vaccine-died.hint',
              "classes" : 'nhsuk-hint',
              locale:locale
            })
        }}

        {% for error in errors %}
            <span class="nhsuk-error-message" id="add-vaccine-died-error" style="display: block;">
                {{ __({phrase: error.msg, locale: error.locale }) }}
            </span>
        {% endfor %}

        <div class="nhsuk-container">
            <fieldset class="nhsuk-fieldset">
                <div class="nhsuk-checkboxes nhsuk-checkbox-flex">
                    {% for vaccine in keys(data.VaccineList) %}
                        {% if (__({phrase: data.VaccineList[vaccine], locale: locale})) .length > 0 %}
                            <div class="nhsuk-radios__item">
                                <input class="nhsuk-radios__input" id="{{ __({phrase: data.VaccineList[vaccine], locale:'en'}) }}" name="vaccineReceived" type="radio" value="{{ __({phrase: data.VaccineList[vaccine], locale:'en'}) }}"/>
                                <label class="nhsuk-label nhsuk-radios__label" for="{{ __({phrase: data.VaccineList[vaccine], locale:locale}) }}">
                                    {{ __({phrase: data.VaccineList[vaccine], locale:locale}) }}
                                </label>
                            </div>
                        {% endif %}
                    {% endfor %}
                </div>
            </fieldset>
        </div>
        <br/>
        <p class='nhsuk-body'>{{__({phrase: 'add-vaccine-died.p1', locale:locale})}}
            {{ __({phrase: 'common.contact.mailto.html', locale: locale }) | safe }}</p>
    </div>
    <br/>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>